## EDBusSourceOAuth2Support EDBusSourceOAuth2Support |

## Functions

gboolean | e_dbus_source_oauth2_support_call_get_access_token_sync ()
void | e_dbus_source_oauth2_support_call_get_access_token ()
gboolean | e_dbus_source_oauth2_support_call_get_access_token_finish ()
void | e_dbus_source_oauth2_support_complete_get_access_token ()
GDBusInterfaceInfo * | e_dbus_source_oauth2_support_interface_info ()
guint | e_dbus_source_oauth2_support_override_properties ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_proxy_new_sync ()
void | e_dbus_source_oauth2_support_proxy_new ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_proxy_new_finish ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_proxy_new_for_bus_sync ()
void | e_dbus_source_oauth2_support_proxy_new_for_bus ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_proxy_new_for_bus_finish ()
EDBusSourceOAuth2Support * | e_dbus_source_oauth2_support_skeleton_new ()

## Signals

gboolean | handle-get-access-token | Run Last

## Types and Values

| EDBusSourceOAuth2Support
struct | EDBusSourceOAuth2SupportProxy
struct | EDBusSourceOAuth2SupportSkeleton

## Object Hierarchy

        GInterface
        ╰── EDBusSourceOAuth2Support
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── EDBusSourceOAuth2SupportSkeleton
        ╰── GDBusProxy
            ╰── EDBusSourceOAuth2SupportProxy

## Prerequisites

EDBusSourceOAuth2Support requires GObject.

## Implemented Interfaces

EDBusSourceOAuth2SupportProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusSourceOAuth2Support.

EDBusSourceOAuth2SupportSkeleton implements GDBusInterface and EDBusSourceOAuth2Support.

## Known Implementations

EDBusSourceOAuth2Support is implemented by EDBusSourceOAuth2SupportProxy and EDBusSourceOAuth2SupportSkeleton.

## Description

## Functions

### e_dbus_source_oauth2_support_call_get_access_token_sync ()

    gboolean
    e_dbus_source_oauth2_support_call_get_access_token_sync
                                   (EDBusSourceOAuth2Support *proxy,
                                    gchar **out_access_token,
                                    gint *out_expires_in,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetAccessToken()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_oauth2_support_call_get_access_token()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceOAuth2SupportProxy. |
out_access_token | Return location for return parameter or `NULL` to ignore. | [out]
out_expires_in | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_oauth2_support_call_get_access_token ()

    void
    e_dbus_source_oauth2_support_call_get_access_token
                                   (EDBusSourceOAuth2Support *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetAccessToken()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_oauth2_support_call_get_access_token_finish()` to get the result of the operation.

See `e_dbus_source_oauth2_support_call_get_access_token_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceOAuth2SupportProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_source_oauth2_support_call_get_access_token_finish ()

    gboolean
    e_dbus_source_oauth2_support_call_get_access_token_finish
                                   (EDBusSourceOAuth2Support *proxy,
                                    gchar **out_access_token,
                                    gint *out_expires_in,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_oauth2_support_call_get_access_token()`.

#### Parameters

proxy | A EDBusSourceOAuth2SupportProxy. |
out_access_token | Return location for return parameter or `NULL` to ignore. | [out]
out_expires_in | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_oauth2_support_call_get_access_token()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_oauth2_support_complete_get_access_token ()

    void
    e_dbus_source_oauth2_support_complete_get_access_token
                                   (EDBusSourceOAuth2Support *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *access_token,
                                    gint expires_in);

Helper function used in service implementations to finish handling invocations of the `GetAccessToken()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSourceOAuth2Support. |
invocation | A GDBusMethodInvocation. | [transfer full]
access_token | Parameter to return. |
expires_in | Parameter to return. |

### e_dbus_source_oauth2_support_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_source_oauth2_support_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.Source.OAuth2Support D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### e_dbus_source_oauth2_support_override_properties ()

    guint
    e_dbus_source_oauth2_support_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusSourceOAuth2Support interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### e_dbus_source_oauth2_support_proxy_new_sync ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_source_oauth2_support_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceOAuth2SupportProxy]

### e_dbus_source_oauth2_support_proxy_new ()

    void
    e_dbus_source_oauth2_support_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_oauth2_support_proxy_new_finish()` to get the result of the operation.

See `e_dbus_source_oauth2_support_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_oauth2_support_proxy_new_finish ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_oauth2_support_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_oauth2_support_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceOAuth2SupportProxy]

### e_dbus_source_oauth2_support_proxy_new_for_bus_sync ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_source_oauth2_support_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_source_oauth2_support_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceOAuth2SupportProxy]

### e_dbus_source_oauth2_support_proxy_new_for_bus ()

    void
    e_dbus_source_oauth2_support_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_source_oauth2_support_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_oauth2_support_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_source_oauth2_support_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_oauth2_support_proxy_new_for_bus_finish ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_oauth2_support_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_oauth2_support_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceOAuth2SupportProxy]

### e_dbus_source_oauth2_support_skeleton_new ()

    EDBusSourceOAuth2Support *
    e_dbus_source_oauth2_support_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support.

#### Returns

The skeleton object.

[transfer full][type EDBusSourceOAuth2SupportSkeleton]

## Types and Values

### EDBusSourceOAuth2Support

    typedef struct _EDBusSourceOAuth2Support EDBusSourceOAuth2Support;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.Source.OAuth2Support.

### struct EDBusSourceOAuth2SupportProxy

    struct EDBusSourceOAuth2SupportProxy;

The EDBusSourceOAuth2SupportProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceOAuth2SupportSkeleton

    struct EDBusSourceOAuth2SupportSkeleton;

The EDBusSourceOAuth2SupportSkeleton structure contains only private data and should only be accessed using the provided API.

## Signal Details

### The `“handle-get-access-token”` signal

    gboolean
    user_function (EDBusSourceOAuth2Support *object,
                   GDBusMethodInvocation    *invocation,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `GetAccessToken()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_oauth2_support_complete_get_access_token()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSourceOAuth2Support. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last